Bug 967146 - Bad assumptions in node code that openshift gears will have uid=gid
Bad assumptions in node code that openshift gears will have uid=gid
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
medium Severity high
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 19:09 EDT by Krishna Raman
Modified: 2015-05-14 19:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 16:50:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krishna Raman 2013-05-24 19:09:37 EDT
Description of problem:
There is an assumption on node codebase that a gear's uid = gid.
This is highly dependent in system configuration and other packages that are installed. 

Eg. On F19 default MIN_GRP=1000. default MIN_UID in node.conf is 500.
 - When a gear is created
     - UID = 500
     = GID = 1000
 - homedir permission assumes uid=500, gid=500

Version-Release number of selected component (if applicable):
rubygem-openshift-origin-node-1.9.6-1

How reproducible:
Always on F19

Steps to Reproduce:
1. Start with F19 origin installation with default /etc/login.defs
2. Create a gear

Actual results:
gear permission are incorrect as they refer to incorrect gid

Expected results:
Node code should create a new group and use the correct GID when creating the user. Gear permission are correct

Additional info:

Note You need to log in before you can comment on or make changes to this bug.